\documentclass[9pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../sty/present}
\usepackage{concmath-otf}
% \usepackage{unicode-math}
% \setmathfont{Concrete Math}
% \setmathfont{Concrete-Math-Regular.otf}[BoldFont=Concrete-Math-Bold.otf,CharacterVariant={10}]
\usepackage{../sty/calcii}

% Colors
% From https://color.adobe.com/ Fisher French Tomato, James Morris
\definecolor{Burgundy}{HTML}{8D001A}
\definecolor{GoldenImpression}{HTML}{FFF0CA}
\definecolor{ManiacMansion}{HTML}{00394F}
\definecolor{HazyRose}{HTML}{B29596}
\definecolor{KosherKhaki}{HTML}{8A897A}
\definecolor{UsualGray}{gray}{0.1}  % matches GoldenImpression
\setbeamercolor{frametitle}{fg=ManiacMansion,bg=white}
\setbeamercolor{part title}{fg=ManiacMansion,bg=white}
\setbeamercolor{itemize item}{fg=ManiacMansion}
\setbeamercolor{alerted text}{fg=Burgundy}

\setbeamerfont{frametitle}{size=\LARGE}
\setbeamertemplate{itemize item}{\color{ManiacMansion}$\blacktriangleright$}
\setbeamertemplate{description item}{\color{ManiacMansion}}
% \setbeamertemplate{itemize subitem}{\color{orange}$\blacktriangleright$}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
% \addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Section 11.2\hspace{1em}Series}
% This is only inserted into the PDF information catalog. Can be left
% out. 
\subject{Inverse trig functions}

\author{J Hef{}feron}
\institute{
  Department of Mathematics and Statistics\\
  University of Vermont  %\\[1ex]
  %\texttt{James.Hefferon@uvm.edu}
}
\date{}

\usepackage{tabularray}\UseTblrLibrary{siunitx} 
\sisetup{output-decimal-marker={.}}

% For 3D PRC asymptote
% compile with asy -inlineimage stub_3d
\def\asydir{asy/}
\graphicspath{{asy/}}
% \input asy/arc_length_3d.pre
\usepackage[bigfiles]{media9}
\RequirePackage{asymptote}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................



% \begin{frame}{Eye on the goal}\vspace*{-1ex}
% These are the Taylor polynomials for $f(x)=e^x\!$ centered at $a=0$.
% \begin{align*}
%   T_0(x) &=1  \\
%   T_1(x) &=1+x  \\
%   T_2(x) &=1+x+\frac{1}{2!}x^2  \\
%   T_3(x) &=1+x+\frac{1}{2!}x^2+\frac{1}{3!}x^3  \\
%   &\vdotswithin{=}  % \\
%   % T_n(x) &=1+x+\frac{1}{2!}x^2+\frac{1}{3!}x^3+\cdots +\frac{1}{n!}x^n
% \end{align*}
% We intend to make sense of this.
% \begin{equation*}
%   e^x 
%   =1+x+\frac{1}{2!}x^2+\frac{1}{3!}x^3+\cdots 
%   =\sum_n\frac{1}{n!}x^n
% \end{equation*}
% We similarly intend to make sense of these others.
% \begin{center}
% \begin{tabular}{c|l}
%    \multicolumn{1}{c}{\tabulartext{Function}}
%      &\multicolumn{1}{c}{\tabulartext{Taylor series}}  \\ \hline
%    $\displaystyle \frac{1}{1-x}$ &$1+x+x^2+x^3+\cdots$ \rule{0pt}{14pt} \\[1ex]
% %   $\displaystyle e^x$           &$1+x+\frac{x^2}{2!}+\frac{x^3}{3!}+\cdots$  \\[1ex]
%    $\displaystyle \cos x$        &$1-\frac{x^2}{2!}+\frac{x^4}{4!}-\frac{x^6}{6!}+\cdots$  \\[1ex]
%    $\displaystyle \sin x$        &$x-\frac{x^3}{3!}+\frac{x^5}{5!}-\frac{x^7}{7!}+\cdots$  \\[1ex]
%    $\displaystyle \ln(1+x)$      &$x-\frac{x^2}{2}+\frac{x^3}{3}-\frac{x^4}{4}+\cdots$  \\
% \end{tabular}
% \end{center}
% \end{frame}

% \begin{frame}
% So far, we have noted that in the $e^x$ case,
% if you focus on one particular input~$x$ then the
% sequence of Taylor polynomials $\set{T_i(x)}$ appears to have the desired limit. 

% \Ex 
% We know that $e^2\approx 7.389$.
% \begin{center}\setlength{\tabcolsep}{3pt}
% \begin{tabular}{r|*{10}{c}}
%    $i$      &$0$     &$1$     &$2$ &$3$ &$4$ &$5$ &$6$ &$7$ &$8$ &$9$\rule{0pt}{8pt} \\ \cline{2-11}
%    $T_i(2)$ &$1.000$ &$3.000$ &$5.000$ &$6.333$ &$7.000$ &$7.267$ &$7.356$ &$7.381$ &$7.387$ &$7.389$ 
% \end{tabular}
% \end{center}

% \Ex 
% We know that $e^3\approx 20.086$.
% \begin{center}\setlength{\tabcolsep}{3pt}\vspace*{-3ex}
% \begin{tabular}{r|*{10}{c}}
%    $i$      &$0$     &$1$     &$2$ &$3$ &$4$ &$5$ &$6$ &$7$ &$8$ &$9$\rule{0pt}{8pt} \\ \cline{2-11}
%    $T_i(3)$ &$1.000$ &$4.000$ &$8.500$ &$13.000$ &$16.375$ &$18.400$ &$19.413$ &$19.846$ &$20.009$ &$20.063$ 
% \end{tabular}
% \end{center}


% \Ex 
% We know that $e^{-1}\approx 0.368$.
% \begin{center}\setlength{\tabcolsep}{3pt}
% \begin{tabular}{r|*{10}{c}}
%    $i$      &$0$     &$1$     &$2$ &$3$ &$4$ &$5$ &$6$ &$7$ &$8$ &$9$\rule{0pt}{8pt} \\ \cline{2-11}
%    $T_i(-1)$ &$1.000$ &$0.000$ &$0.500$ &$0.333$ &$0.375$ &$0.367$ &$0.368$ &$0.368$ &$0.368$ &$0.368$ 
% \end{tabular}
% \end{center}

% \pause
% In summary:~if we freeze an input~$x$, say at the number~$r$, \
% and look at the sequence of Taylor polynomials
% $T_0(r), T_1(r), T_2(r) \ldots$ then 
% the numbers appear to converge on $e^r$.
% \end{frame}
% % sage: n(e^2)
% % 7.38905609893065
% % sage: for i in range(10):
% % ....:     T_i = taylor(e^x, x, 0, i)
% % ....:     print("i=",i," T_i(2)=",round(n(T_i(x=2)),ndigits=3))
% % ....: 
% % i= 0  T_i(2)= 1.0
% % i= 1  T_i(2)= 3.0
% % i= 2  T_i(2)= 5.0
% % i= 3  T_i(2)= 6.333
% % i= 4  T_i(2)= 7.0
% % i= 5  T_i(2)= 7.267
% % i= 6  T_i(2)= 7.356
% % i= 7  T_i(2)= 7.381
% % i= 8  T_i(2)= 7.387
% % i= 9  T_i(2)= 7.389
% % sage: n(e^3)
% % 20.0855369231877
% % sage: for i in range(10):
% % ....:     T_i = taylor(e^x, x, 0, i)
% % ....:     print("i=",i," T_i(2)=",round(n(T_i(x=3)),ndigits=3))
% % ....: 
% % i= 0  T_i(2)= 1.0
% % i= 1  T_i(2)= 4.0
% % i= 2  T_i(2)= 8.5
% % i= 3  T_i(2)= 13.0
% % i= 4  T_i(2)= 16.375
% % i= 5  T_i(2)= 18.4
% % i= 6  T_i(2)= 19.413
% % i= 7  T_i(2)= 19.846
% % i= 8  T_i(2)= 20.009
% % i= 9  T_i(2)= 20.063
% % sage: for i in range(10):
% % ....:     T_i = taylor(e^x, x, 0, i)
% % ....:     print("i=",i," T_i(2)=",round(n(T_i(x=-1)),ndigits=3))
% % ....: 
% % i= 0  T_i(2)= 1.0
% % i= 1  T_i(2)= 0.0
% % i= 2  T_i(2)= 0.5
% % i= 3  T_i(2)= 0.333
% % i= 4  T_i(2)= 0.375
% % i= 5  T_i(2)= 0.367
% % i= 6  T_i(2)= 0.368
% % i= 7  T_i(2)= 0.368
% % i= 8  T_i(2)= 0.368
% % i= 9  T_i(2)= 0.368
% % sage: n(e^(-1))
% % 0.367879441171442

% \begin{frame}
% This is an expanded version of a table from the prior slide.
% \begin{center}  % \setlength{\tabcolsep}{3pt}
% \begin{tabular}{r|ll}
%   \multicolumn{1}{c}{$i$}
%     &\multicolumn{1}{c}{$T_i(2)$}
%     &\multicolumn{1}{c}{\tabulartext{Value}}  \\ \hline
%   $0$ &$1$ &$1.000$ \\[1ex]
%   $1$ &$1+2$ &$3.000$ \\[1ex]
%   $2$ &$\displaystyle 1+2+\frac{2^2}{2!}$ &$5.000$ \\[1.25ex]
%   $3$ &$\displaystyle 1+2+\frac{2^2}{2!}+\frac{2^3}{3!}$ &$6.333$ \\[1.25ex]
%   $4$ &$\displaystyle 1+2+\frac{2^2}{2!}+\frac{2^3}{3!}+\frac{2^4}{4!}$ &$7.000$ \\[1.25ex]
%   $5$ &$\displaystyle 1+2+\frac{2^2}{2!}+\frac{2^3}{3!}+\frac{2^4}{4!}+\frac{2^5}{5!}$ &$7.267$ \\[1.25ex]
%   $\vdotswithin{5}$ &\qquad$\vdots$ &$\vdotswithin{7.2}$ 
% \end{tabular}
% \end{center}

% \pause\medskip
% Repeating for emphasis, 
% we are not yet looking at the infinite sum as having a variable.
% So far we are looking at one input at a time.
% In the example above that input is~$x=2$.
% \end{frame}


% \begin{frame}\vspace*{-1ex}
% \Ex Let $f(x)=\cos x$.
% Give the Taylor polynomial approximations
% $T_0(\pi/2)$, \ldots{} $T_6(\pi/2)$ centered at $a=0$.
% \pause
% \begin{center}
% \begin{tblr}{r|ccccccc}
%   $i$         &$0$      &$1$       &$2$       &$3$      &$4$      &$5$       &$6$  \\ \cline{2-8}
%   $f^{(i)}(x)$ &$\cos x$ &$-\sin x$ &$-\cos x$ &$\sin x$ &$\cos x$ &$-\sin x$ &$-\cos x$  \\
%   $f^{(i)}(0)$ &$1$      &$0$       &$-1$      &$0$      &$1$      &$0$       &$-1$  
% \end{tblr}
% \end{center}
% We have $T_6(x)=1-(x^2/2!)+(x^4/4!)-(x^6/6!)$.
% \begin{center}\small   % \setlength{\tabcolsep}{3pt}
% \begin{tblr}{
%   colspec={Q[r]|Q[l]Q[si={table-format=1.3},c]},
%   row{1} = {guard}
%   }
%   \SetCell{c} $i$
%     &\SetCell{c} $T_i(\pi/2)$
%     &\SetCell{c} \tabulartext{Value}
%   \\ \hline
%   $0$ &$1$ &1.000 \\
%   $1$ &$1$ &1.000 \\
%   $2$ &$\displaystyle 1-\frac{(\pi/2)^2}{2!}$ &-0.234 \\
%   $3$ &$\displaystyle 1-\frac{(\pi/2)^2}{2!}$ &-0.234 \\
%   $4$ &$\displaystyle 1-\frac{(\pi/2)^2}{2!}+\frac{(\pi/2)^4}{4!}$ &0.020 \\
%   $5$ &$\displaystyle 1-\frac{(\pi/2)^2}{2!}+\frac{(\pi/2)^4}{4!}$ &0.020 \\
%   $6$ &$\displaystyle 1-\frac{(\pi/2)^2}{2!}+\frac{(\pi/2)^4}{4!}-\frac{(\pi/2)^6}{6!}$ &0.000 
% \end{tblr}
% \end{center}
% We believe that the sequence of partial sums is converging on $\cos(\pi/2)=0$.
% \end{frame}
% % sage: for i in range(10):
% % ....:     T_i = taylor(cos(x), x, 0, i)
% % ....:     print("i=",i," T_i(2)=",round(n(T_i(x=pi/2)),ndigits=3))
% % ....: 
% % i= 0  T_i(2)= 1.0
% % i= 1  T_i(2)= 1.0
% % i= 2  T_i(2)= -0.234
% % i= 3  T_i(2)= -0.234
% % i= 4  T_i(2)= 0.02
% % i= 5  T_i(2)= 0.02
% % i= 6  T_i(2)= -0.001
% % i= 7  T_i(2)= -0.001
% % i= 8  T_i(2)= 0.0
% % i= 9  T_i(2)= 0.0




\begin{frame}{Practice with summation notation}
Convert from summation notation to the first few terms.
\begin{enumerate}
\item $\displaystyle \sum_{0\leq j} \frac{j}{j+2}$
\pause\quad $\displaystyle 0+\frac{1}{3}+\frac{2}{4}+\frac{3}{5}+\cdots$
% \pause\item $\displaystyle \sum_{3\leq n} \frac{3n^2-1}{n-2}$
% \pause\quad $\displaystyle 8+\frac{47}{2}+\frac{74}{3}+\cdots$
\pause\item $\displaystyle \sum_{0\leq i} (-1)^{i}\frac{1}{(i+2)^2}$
\pause\quad $\displaystyle \frac{1}{4}-\frac{1}{9}+\frac{1}{16}-\frac{1}{25}+\cdots$
\end{enumerate}
\pause
Convert each series to summation notation.
Start indices where convenient.
\begin{enumerate}
% \item $\displaystyle 1+\frac{1}{2}+\frac{1}{3}+\frac{1}{4}+\cdots$
% \pause\quad $\sum_{1\leq i}1/i$
\pause\item $\displaystyle 1+\frac{1}{4}+\frac{1}{9}+\frac{1}{16}+\cdots$
\pause\quad $\sum_{1\leq i}1/i^2$
\pause\item $\displaystyle 7+\frac{7}{3}+\frac{7}{9}+\frac{7}{27}+\cdots$
\pause\quad $\sum_{0\leq i}7/3^i$
% \pause\item $\displaystyle 2+1+\frac{2}{5}+\frac{2}{10}+\cdots$
% \pause\quad $\sum_{0\leq i}2/(i^2+1)$
% \pause\item $\displaystyle 1-\frac{1}{2}+\frac{1}{3}-\frac{1}{4}+\cdots$
% \pause\quad $\sum_{0\leq i}(-1)^i\cdot 1/(i+1)$
\pause\item $\displaystyle 2-\frac{3}{2}+\frac{4}{3}-\frac{5}{4}+\cdots$
\pause\quad $\sum_{1\leq i}(-1)^{i+1}\cdot (i+1)/i$
\end{enumerate}
  
\end{frame}


\begin{frame}{Definition of a series}
\Df The expression
$a_0+a_1+a_2+\cdots$ is an \alert{infinite series},
often denoted $\sum_i a_i$.
Its value is the limit of the \alert{sequence of partial sums}
$\set{S_n}$, with these terms,
\begin{equation*}
  S_0=a_0, \quad S_1=a_0+a_1, \quad S_2=a_0+a_1+a_2, \quad \ldots
\end{equation*}
provided that the limit exists.
As with any sequence, if the limit exists then we say 
that the series \alert{converges},
otherwise it \alert{diverges}.

\pause\medskip
\framebox{\color{Burgundy}
\parbox{0.95\textwidth}{We will 
often know what sum a series will have, 
if only it converges.
That is, we will often find that we can routinely get the formula for a
a series but must determine whether that series converges.}}
\end{frame}


\begin{frame}{Practice with partial sums}
Find the first five partial sums.
Guess the sum of the series.  
\begin{enumerate}
\item $\displaystyle \sum_{0\leq n}(1/2^n)$

\pause
\begin{equation*}\small
  \begin{array}{r|*{5}{c}}
   \multicolumn{1}{r}{\ }    &S_0  &S_1  &S_2  &S_3  &S_4 \\ \cline{2-6}
   \text{value}              &1   &3/2  &7/4  &15/8 &31/16  \\
   \text{approximate value}  &1.0 &1.5  &1.75 &1.875&1.938
  \end{array}
\end{equation*}
In fact, $\displaystyle 1+\frac{1}{2}+\frac{1}{4}+\frac{1}{8}+\cdots=2$.

\item $\displaystyle \sum_{0\leq n}\frac{4}{3^n}$

\pause
\begin{equation*}\small
  \begin{array}{r|*{5}{c}}
   \multicolumn{1}{r}{\ }    &S_0  &S_1     &S_2   &S_3    &S_4  \\ \cline{2-6}
   \text{value}              &4    &16/3   &52/9  &160/27 &484/81  \\
   \text{approximate value}  &4.0  &5.333  &5.778 &5.926  &5.975
  \end{array}
\end{equation*}
In fact, $\displaystyle 4+\frac{4}{3}+\frac{4}{9}+\frac{4}{27}+\cdots=6$.

\item $\displaystyle \sum_{1\leq n}\frac{1}{n(n+1)}$

\pause
\begin{equation*}\small
  \begin{array}{r|*{5}{c}}
   \multicolumn{1}{r}{\ }    &S_1  &S_2    &S_3  &S_4  &S_5 \\ \cline{2-6}
   \text{value}              &1/2  &2/3   &3/4  &4/5  &5/6  \\
   \text{approximate value}  &0.5  &0.667 &0.75 &0.8  &0.833
  \end{array}
\end{equation*}
In fact, $\displaystyle \frac{1}{2}+\frac{1}{6}+\frac{1}{12}+\cdots=1$.
\end{enumerate}
\end{frame}
% sage: def f(i):
% ....:     return (1/2^i)
% ....: 
% sage: for i in range(5):
% ....:     s = 0
% ....:     for j in range(i+1):
% ....:         s = s+f(j)
% ....:     print("S_",j,"=",s, round(s,ndigits=3))
% ....: 
% S_ 0 = 1 1.0
% S_ 1 = 3/2 1.5
% S_ 2 = 7/4 1.75
% S_ 3 = 15/8 1.875
% S_ 4 = 31/16 1.938
% sage: def f(i):
% ....:     return (1/(i*(i+1)))
% ....: 
% sage: for i in range(1,6):
% ....:     s = 0
% ....:     for j in range(1,i+1):
% ....:         s = s+f(j)
% ....:     print("S_",j,"=",s, round(s,ndigits=3))
% ....: 
% S_ 1 = 1/2 0.5
% S_ 2 = 2/3 0.667
% S_ 3 = 3/4 0.75
% S_ 4 = 4/5 0.8
% S_ 5 = 5/6 0.833
% sage: def f(i):
% ....:     return (4/3^i)
% ....: 
% sage: for i in range(5):
% ....:     s = 0
% ....:     for j in range(i+1):
% ....:         s = s+f(j)
% ....:     print("S_",j,"=",s, round(s,ndigits=3))
% ....: 
% S_ 0 = 4 4.0
% S_ 1 = 16/3 5.333
% S_ 2 = 52/9 5.778
% S_ 3 = 160/27 5.926
% S_ 4 = 484/81 5.975

\begin{frame}
Here is the last one, as an illustration of taking the limit.
We can use Partial Fractions to get that
\begin{equation*}
  s_n=\frac{1}{n(n+1)}=\frac{1}{n}-\frac{1}{n+1}
\end{equation*}
Here is $S_5$.
\begin{align*}
  S_5 &=s_1+s_2+s_3+s_4+s_5  \\
      &=\biggl(\frac{1}{1}-\frac{1}{2}\biggr)
      +\biggl(\frac{1}{2}-\frac{1}{3}\biggr)
      +\biggl(\frac{1}{3}-\frac{1}{4}\biggr)
      +\biggl(\frac{1}{4}-\frac{1}{5}\biggr)
      +\biggl(\frac{1}{5}-\frac{1}{6}\biggr)  \\
     &=1-\frac{1}{6}
\end{align*}
It is clear that $S_n=1-1/(n+1)$.
\begin{equation*}
  \sum_{1\leq n}\frac{1}{n(n+1)}
  =\lim_{n\to\infty}S_n  
  =\lim_{n\to\infty}(1-\frac{1}{n+1})  
\end{equation*}
That limit is~$1$.
\begin{equation*}
  \sum_{1\leq n}\frac{1}{n(n+1)}
  =1  
\end{equation*}
\end{frame}



\section{Geometric series}

\begin{frame}
\Df A \alert{geometric series}
has terms with a \alert{common ratio}, here~$r$,
and an \alert{initial term} or \alert{coefficient}~$a$.
\begin{equation*}
  S=a+a\cdot r+a\cdot r^2+a\cdot r^3+\cdots  
\end{equation*}

\Ex This series has a common ratio~$r=2$ and initial term~$a=1$.
\begin{equation*}
  1+2+4+8+16+32+64=127
\end{equation*}
This has~$r=1/3$ and~$a=4$.
\begin{equation*}
  4+\frac{4}{3}+\frac{4}{9}+\frac{4}{27}=\frac{160}{27}
\end{equation*}

% \Ex This infinite geometric series has common ratio~$r=-1$ 
% and initial term~$a=1$.
% \begin{equation*}
%   1-1+1-1+1-1+\cdots
% \end{equation*}

% \Ex Here the geometric series is also infinite, with common ratio~$1/2$ 
% and initial term~$a=1$.
% \begin{equation*}
%   1+\frac{1}{2}+\frac{1}{4}+\frac{1}{8}+\frac{1}{16}+\cdots
% \end{equation*}
\end{frame}
% sage: 1+2+4+8+16+32+64
% 127
% sage: 4+4/3+4/9+4/27
% 160/27

\begin{frame}
\Tm In a finite geometric series these are the partial sums
(except when $r=1$). 
\begin{equation*}
  a+a\cdot r+a\cdot r^2+\cdots a\cdot r^{n}
  =\sum_{0\leq i\leq n}ar^i=a\cdot \frac{1-r^{n+1}}{1-r}
\end{equation*}
As to the infinite geometric series, if $|r|<1$ then it converges
\begin{equation*}
  a+a\cdot r+a\cdot r^2+a\cdot r^3+\cdots
  =\sum_{0\leq i} ar^i=a\cdot \frac{1}{1-r}
\end{equation*}
while if $|r|\geq 1$ then it diverges. 

\Pf Let
$S_n=a+a\cdot r+a\cdot r^2+\cdots +a\cdot r^n\!$.
Multiply by~$r$ to get 
$r\cdot S_n=a\cdot r+a\cdot r^2+a\cdot r^3+\cdots +a\cdot r^{n+1}\!$.
Subtracting the second from the first gives $(1-r)S_n=a-ar^{n+1}=a(1-r^{n+1})$, 
and finish by dividing by $1-r$.

As to the infinite series, the sum is the limit of the sequence
$\set{S_n}_{0\leq n}$.
\begin{equation*}
  \lim_{n\to\infty} \biggl(a\cdot\frac{1-r^{n+1}}{1-r} \biggr)
  =\frac{a}{1-r}\cdot\lim_{n\to\infty}1-r^{n+1}
\end{equation*}
If $|r|<1$ then the limit exists and equals~$1$, while if $|r|> 1$
then the limit does not exist.
On the  $|r|=1$ boundary, $r=1$ and $r=-1$ both give 
sequences of partial sums $a+a+a+\cdots$ and
$a-a+a-a+\cdots$ that diverge (unless $a=0$).
\end{frame}


\begin{frame}
\Ex The infinite geometric series $\sum_i 3\cdot(-1/2)^i$ has ratio
$-1/2$ so by the theorem it converges.
Here are some partial sums.
\begin{center}\small\setlength{\tabcolsep}{3pt}
  \begin{tabular}{r|*{6}{c}}
    $i$   &$0$ &$1$                      &$2$                       &$3$        &$4$     &$5$     \\  \cline{2-7}
    $S_i$ &$3$ &$\frac{3}{2}\approx 1.5$ &$\frac{9}{4}\approx 2.25$ &$\frac{15}{8}\approx 1.875$ &$\frac{33}{16}\approx 2.062$ &$\frac{63}{32}\approx 1.969$ \rule{0pt}{10pt}
  \end{tabular}
\end{center}
The formula says that it converges to $a\cdot\frac{1}{1-r}=3/(3/2)=2$.

\Ex
In contrast, the series $\sum_i 3\cdot(-5/2)^i$ diverges.
Here are the first few partial sums.
\begin{center}\small\setlength{\tabcolsep}{3pt}
  \begin{tabular}{r|*{6}{c}}
    $i$   &$0$ &$1$                      &$2$                       &$3$        &$4$     &$5$     \\  \cline{2-7}
    $S_i$ &$3$ &$\frac{-9}{2}\approx -4.5$ &$\frac{57}{4}\approx 14.25$ &$\frac{-261}{8}\approx -32.625$ &$\frac{1\,353}{16}\approx 84.562$ &$\frac{-6669}{32}\approx -208.406$ \rule{0pt}{10pt}
  \end{tabular}
\end{center}

\pause

\Co The finite series $1+2+4+\cdots 2^n$ adds to $2^{n+1}-1$.
  And $(1/2)+(1/4)+\cdots (1/2^n)$ adds to $1-(1/2^n)$.

\Pf
For the first, take $a=1$ and $r=2$. 
The formula for a finite sum gives $(1-2^{n+1})/(-1)$ and dividing
gives $2^{n+1}-1$.  

for the second, take $a=1$ and $r=1/2$
\begin{equation*}
  1+\frac{1}{2}+\frac{1}{4}+\cdot+\frac{1}{2^n}
  =1\cdot\frac{1-(1/2)^{n+1}}{1/2}
  =2\cdot(1-(1/2)^{n+1})
  =2-\frac{1}{2^n}
\end{equation*}
and the result follows on subtracting one from both sides.
\end{frame}
% sage: for i in range(6):
% ....:     tot = 0
% ....:     for j in range(i+1):
% ....:         tot = tot+3*(-1/2)^j
% ....:     print(i, tot, round(tot, ndigits=3))
% ....: 
% 0 3 3.0
% 1 3/2 1.5
% 2 9/4 2.25
% 3 15/8 1.875
% 4 33/16 2.062
% 5 63/32 1.969
% sage: for i in range(6):
% ....:     tot = 0
% ....:     for j in range(i+1):
% ....:         tot = tot+3*(-5/2)^j
% ....:     print(i, tot, round(tot, ndigits=3))
% ....: 
% 0 3 3.0
% 1 -9/2 -4.5
% 2 57/4 14.25
% 3 -261/8 -32.625
% 4 1353/16 84.562
% 5 -6669/32 -208.406



\begin{frame}{Application: resolving Zeno's dichotomy paradox}
The Greek philosopher Zeno~(c. 490--430~BC)
proposed a celebrated paradox.
\begin{quotation}\small\noindent
Motion is impossible.
For, suppose that the heroine Atalanta wishes to walk to the end of a path. 
Before she can get there, she must get halfway there. 
Before she can get halfway there, she must get a quarter of the way there. 
And before traveling a quarter, she must travel one-eighth.
Before an eighth, one-sixteenth, and so on.
Thus to walk to the end of the path 
she must complete an infinite number of tasks in a finite time, 
which is an impossibility.
\end{quotation}
Mathematicians resolve this by saying that the infinite geometric series
\begin{equation*}
  \frac{1}{2}+\frac{1}{4}+\frac{1}{8}+\cdots
  =\sum_{1\leq i} \bigl(\frac{1}{2}\bigr)^i
\end{equation*}
adds to~$1$, by the prior slide.
So it is not a problem that she has infinitely many tasks, 
she nontheless finishes in a finite time.
\end{frame}


\begin{frame}{Application: $0.999\ldots=1$}
What is the difference between $0.999\ldots$ and $1$?
Many people feel something like,
``A number is a decimal representation.
These two have different representations, so they must be different numbers.''

That's mistaken.
In the real number system, each digit in a place of a decimal representation 
is associated with a power of ten
(it may be a negative power of ten or a positive one). 
To recover the number we multiply the digits by the powers and add.
In this case we get a grometric series.
\begin{align*}
  9\times 10^{-1}+9\times 10^{-2}+9\times 10^{-3}+\cdots
  &=9\cdot (1/10)^{-1}+9\cdot (1/10)^{-2}+9\cdot (1/10)^{-3}+\cdots  \\
  &=9\cdot\frac{1}{1-(1/10)}-9  \\
  &=9\cdot\frac{10}{9}-9=10-9=1
\end{align*}

There is a difference
between the number and its representation,
just as there is a difference between you and your name.

(In a decimal system, this only happens
for numbers with two representations,
one ending in $999\ldots$ and one in $000\ldots$) 
See \textit{Is $0.999\cdots=1$?} by Fred Richman
in \textsl{Mathematics Magazine, 12/1999}.
\end{frame}


\begin{frame}{Application: discrete income stream}
An investment pays $10,000$ per year.
We take the inflation rate to be $5\%$, so we \alert{discount} future
payments at that rate\Dash next year's $10,000$
payment is only worth $10\,000/1.05\approx 9523.81$ in today's dollars.
What is the \alert{present value} of this stream of income?
\begin{align*}
  10000+\frac{10000}{1.05}+\frac{10000}{1.05^2}+\cdots
  &=\sum_i 10000\cdot\bigl( \frac{1}{1.05} \bigr)^i    \\
  &=10000\cdot \frac{1}{1-(1/1.05)}=210\,000
\end{align*}  

\Ex You will buy a house with a \$200\,000 thirty year mortgage at a annual rate of $7\%$,
paid monthly.
How much do you pay per month?
\begin{align*}
  200000
  &=P\cdot\frac{1}{\bigl( 1+\frac{0.07}{12} \bigr)}
  +P\cdot\frac{1}{\bigl( 1+\frac{0.07}{12} \bigr)^2}
  +P\cdot\frac{1}{ \bigl( 1+\frac{0.07}{12} \bigr)^3}
  +\cdots
  +P\cdot\frac{1}{ \bigl( 1+\frac{0.07}{12} \bigr)^{360} }     \\
  &=P\cdot\frac{1}{\bigl( 1+\frac{0.07}{12} \bigr)}
    \cdot
   \biggl[ \frac{1-\frac{1}{(1+\frac{0.07}{12})^{360}}}{1-\frac{1}{1+\frac{0.07}{12}}}  \biggr]
\end{align*}
The per-month is $P=\$1330.60$.
\end{frame}
% sage: 10000*(1/(1-(1/1.05)))
% 210000.000000000
% sage: 30*12
% 360
% sage: r = 1/(1+(.07/12))
% sage: r
% 0.994200497100248
% sage: factor = r*( 1-r^(360) )/(1-r)
% sage: 200000/factor
% 1330.60499035838


\section{Convergent series}


\begin{frame}{Algebra of convergent series}
\Tm (Linearity)
Provided that the series $\sum a_n$ and $\sum b_n$ are convergent, 
so is the 
series of linear combinations $\sum(ca_n+db_n)$ for constants $c,d\in\R$.
Further, they total in the natural way.
\begin{equation*}
  \sum ca_n+db_n=c\cdot \sum a_n+d\cdot\sum b_n
\end{equation*}
In particular, 
$\sum(ca_n)=c\cdot\sum a_n$, and
$\sum(a_n+b_n)=\sum a_n+\sum b_n$, and 
$\sum(a_n-b_n)=\sum a_n-\sum b_n$.

\Pf As $\sum_n a_n$ is a convergent series, the partial sums form 
a convergent sequence.
\begin{equation*}
  A_0=a_0\quad A_1=a_0+a_1\quad A_2=a_0+a_1+a_2\quad \ldots
\end{equation*}
The same holds for $\sum b_n$ and its sequence of partial sums.
\begin{equation*}
  B_0=b_0\quad B_1=b_0+b_1\quad B_2=b_0+b_1+b_2\quad \ldots
\end{equation*}
For the series $\sum(ca_n+db_n)$ we consider this sequence.
\begin{align*}
  S_0 &=ca_0+db_0\\ 
  S_1 &=(ca_0+db_0)+(ca_1+db_1)=c\cdot(a_0+a_1)+d\cdot(b_0+b_1) \\
      &\vdotswithin{=}
\end{align*}
That is, the definition of the sum is as a limit of a sequence.
\begin{equation*}
  \sum ca_n+db_n
  =\lim_{N\to\infty}S_N     
  =\lim_{N\to\infty}\bigl( (ca_0+db_0)+(ca_1+db_1)+\cdots (ca_N+db_N) \bigr)     
  % =\lim_{N\to\infty}\biggl( \, \sum_{0\leq n<N}ca_n+db_n \biggr)     
\end{equation*}
\end{frame}
\begin{frame}
The limit laws for sequences say that we can break along the plus sign and
factor out the constants.
\begin{align*}
  \sum ca_n+db_n
  &=\lim_{N\to\infty}\biggl(\,\sum_{0\leq n<N}ca_n+db_n\biggr)     \\
  &=\lim_{N\to\infty}\biggl(\,\sum_{0\leq n<N}ca_n+\sum_{0\leq n<N}db_n\biggl)  \\[1ex]
  &=\bigl(\lim_{N\to\infty}\sum_{0\leq n<N}ca_n\bigr)
    +\bigl(\lim_{N\to\infty}\sum_{0\leq n<N}db_n\bigr)  \\[1ex]
  &=c\cdot\bigl(\lim_{N\to\infty}\sum_{0\leq n<N}a_n\bigr)
      +d\cdot\bigl(\lim_{N\to\infty}\sum_{0\leq n<N}b_n\bigr) \\[1ex]
  &=c\cdot\sum a_n+d\cdot\sum b_n 
\end{align*}
\end{frame}



\begin{frame}
\Ex Find the sum.
\begin{equation*}
  \sum_{0\leq n} \frac{2^{n+1}-1}{5^n}
\end{equation*}

Split the fraction along the minus sign
\begin{equation*}
  =\sum_{0\leq n} \frac{2^{n+1}}{5^n}-\frac{1}{5^n}
\end{equation*}
and recognize that as two geometric series.
\begin{equation*}
  =2\cdot\sum_{0\leq n} \bigl(\frac{2}{5}\bigr)^n-\sum_{0\leq n}\bigl(\frac{1}{5}\bigr)^n
  =2\cdot\frac{1}{1-(2/5)}-\frac{1}{1-(1/5)}
  =2\cdot\frac{5}{3}-\frac{5}{4}=\frac{25}{12}
\end{equation*}
(Note that
splitting the sum of the infinite series 
is justified by the fact that the result proves to
be convergent.)
\end{frame}
% sage: 10/3-5/4
% 25/12



\begin{frame}{Convergence is about the tail of the series}
Besides Linearity,
another consequence of the definition of the sum of an infinite series
is that 
whether a series converges or diverges depends on what the series 
does in the long term.
Restated:~the initial terms affect what the series adds to,
but not whether it adds to anything at all.
  
\Lm
For any $M\geq 0$,
the series $\sum_{0\leq n}a_n$ converges if and only if
the series $\sum_{M\leq n}a_n$ converges.  

\Pf
By definition this sequence is the sum $\sum_{0\leq n}a_n$.
\begin{equation*}
  A_0=a_0\quad A_1=a_0+a_1\quad A_2=a_0+a_1+a_2\quad \ldots
\end{equation*}
One of the laws for limits of sequences is that it
converges if and only if this sequence converges.
\begin{equation*}
  B_0=a_0+\cdots a_{M-1}+a_M
  \quad B_1=a_0+\cdots a_{M-1}+a_M+a_{M+1}\quad \ldots
\end{equation*}
The constant sequence
\begin{equation*}
  C_0=a_0+\cdots a_{M-1}
  \quad C_1=a_0+\cdots a_{M-1}\quad \ldots
\end{equation*}
is obviously convergent.
If we take the sequence of differences 
$\set{B_n-C_n}_{0\leq n}$
then we get
the sequence that is by definition the infinite sum $\sum_{M\leq n}a_n$.
\end{frame}




\section{Divergent series}

% \begin{frame}{Caution}
% When the series is divergent then we cannot do manipulations 
% like the linearity described in the algebra of convergent series
% slide.

% Here is an example of divergent series going haywire.
% \begin{equation*}
%   S=1-1+1-1+\cdots
% \end{equation*}
% Multiply by the constant~$-1$ to get $-S=-1+1-1+1+\cdots$.
% Regroup $-S=-1+(1-1+1-\cdots)$.
% Rewrite as $-S=-1+S$ and solve for $1=2S$, so $1/2=S$.
% We've added a series of whole numbers and gotten $1/2$.

% The apparent paradox is resolved by the fact that 
% the manipulations are not justified because the starting series 
% diverges.
% The sequence of partial sums does not have a limit.
% \begin{equation*}
%   S_0=1\quad S_1=0\quad S_2=1\quad S_3=0\quad \ldots
% \end{equation*}
% \end{frame}


\begin{frame}{The harmonic series}

\Df
This is the \alert{harmonic series}.
\begin{equation*}
  H=\sum_{0<n}\frac{1}{n}
  =1+\frac{1}{2}+\frac{1}{3}+\frac{1}{4}+\frac{1}{5}+\cdots
\end{equation*}
\Lm The harmonic series diverges.

\pause
\Pf
These are the partial sums.
\begin{equation*}
  S_1=1\quad 
  S_2=1+\frac{1}{2}\quad 
  S_3=1+\frac{1}{2}+\frac{1}{3}\quad 
  S_4=1+\frac{1}{2}+\frac{1}{3}+\frac{1}{4}\quad
  \cdots 
\end{equation*}
Consider those $S_i$ where the index~$i$ is a power of two.
\begin{align*}
  S_1 &=1                                      \\ 
  S_2 &=1+\frac{1}{2}=1.5                      \\
  S_4 &=1+\frac{1}{2}+\frac{1}{3}+\frac{1}{4}
       =1+\frac{1}{2}+(\frac{1}{3}+\frac{1}{4})
       \geq S_2+2\cdot\frac{1}{4}=2        \\
  S_8 &=1+\frac{1}{2}+\frac{1}{3}+\frac{1}{4}+\frac{1}{5}+\cdots+\frac{1}{8}
       =1+\frac{1}{2}+\frac{1}{3}+\frac{1}{4}+(\frac{1}{5}+\cdots+\frac{1}{8}) \\
      &\qquad \geq S_4+4\cdot\frac{1}{8}=2.5        
\end{align*}
So the partial sums diverge, and thus the series diverges.
\end{frame}

% \begin{frame}{The intuition}
% Recall that we saw the power test result for improper integrals.
% \begin{equation*}
%   \integral{x=1}{\infty}{ \frac{1}{x^p} }{x}
%   =
%   \begin{cases}
%     \text{converges to $1/(p-1)$}  &\text{--if $p>1$}  \\
%     \text{diverges}                &\text{--otherwise}
%   \end{cases}
% \end{equation*}
% We developed the intuition that the infinite integral
% converges if the integrand falls to zero fast enough.
% In particular, $f(x)=1/x$ does not fall fast enough and
% $\integral{1}{\infty}{ 1/x }{x}$ diverges.

% We just saw that $\sum_n(1/n)$ diverges.  
% There is a strong connection between improper integrals and
% infinite series, which we shall see soon.
% Here also, your intuition should be that 
% convergence is about how quickly the 
% summands, the terms of the series, fall to zero.
% \end{frame}



\begin{frame}
\Lm (Divergence Test)
If a series $\sum a_n$ converges then its terms go to zero, 
$0=\lim_{n\to\infty}a_n$.  
As a consequence, if the terms of a series do not go to zero then
the series diverges.

\Pf
Write $S$ for the sum, $S=\sum_n a_n$, and $S_k$ for the partial sum
with $k$~terms.
Observe that $a_{n}=S_{n}-S_{n-1}$ for $n>0$.
If $\sum a_n$ converges then linearity gives this.
\begin{equation*}
  \lim_{n\to\infty}a_n
  =\lim_{n\to\infty} S_n-S_{n-1}
  =\lim_{n\to\infty} S_n-\lim_{n\to\infty} S_{n-1}
  =S-S=0
\end{equation*}

% \pause
% \Ex This series diverges. 
% \begin{equation*}
%   \sum_{0\leq n} \frac{3n^2+2n}{4n^2-1}
% \end{equation*}
% The terms do not go to zero, they go to $3/4$.
% For instance, $a_{1000}\approx 0.750\,500\,187\,625\,047$.

% \Ex This series diverges. 
% \begin{equation*}
%   \sum_{0\leq n} (-1)^n\frac{3n^2+2n}{4n^2-1}
% \end{equation*}
% \pause
% The terms do not go to zero.
% They do not even have any limit at all, since the even-indexed terms go to $3/4$
% while the odd-indexed terms go to $-3/4$.

We typically use the Divergence Test by arguing that if the terms
do not go to zero then the series must diverge.

\medskip
\textit{Caution:} The converse of the Divergence test does not hold:~having 
the terms $a_n$ 
go to zero does not imply that the series $\sum_n a_n$ converges.
The harmonic series is an example.  
\end{frame}
% sage: def f(x):
% ....:     return (3*x^2+2*x)/(4*x^2-1)
% ....: 
% sage: f(1000)
% 3002000/3999999
% sage: n(f(1000))
% 0.750500187625047

\begin{frame}{Practice}
Show that each diverges.
\begin{enumerate}
\item  $\displaystyle \sum_{1\leq n}\frac{n^3}{3+n^3}$

\pause\smallskip 
The terms do not have a limit of zero, instead
their limit is one.

\item $\displaystyle \sum_{0\leq n}(-1)^n\frac{n}{n+1}$

\pause\smallskip 
The terms do not have a limit of zero.
The sequence of terms do not have any limit at all, since they
alternate between approximately one and approximimately negative one.
\end{enumerate}
  
\end{frame}


\section{For fun: overhanging blocks}
\begin{frame}{Overhanging blocks}
Imagine that we have a set of blocks, each $2$~units long and each
with a mass of~$1$.
We can put one block on top of another, so that it sticks out.
The top block won't fall so long as it overhangs by $1$ or less,
because the center of mass of the top block is halfway along that block.

\uncover<2->{We now have a two-block system.
For this system 
the center of mass is above $x=3/2$
because we have a block with center above~$x=1$ and a block with center
above~$x=2$, and a total mass of~$2$, 
so the weighted combination of the centers
is $(1+2)/2$, which is $3/2$.}
\uncover<2->{Thus, if we put this system
on the table edge then we can make it overhang by $1/2$.}
\begin{center}
  \only<2>{\vcenteredhbox{\includegraphics{series000.pdf}}}
  \only<3->{\vcenteredhbox{\includegraphics{series003.pdf}}}
\end{center}
\uncover<3->{Here the top block hangs out into empty space by a total of $3/2$.
Can we get that block to stick out even more by using more blocks? 
What is the maximum possible sticking-outing?}
\end{frame}



\begin{frame}
The prior slide says that 
the two-block system has a center of mass above $x=3/2$,
so we can put it on top of a third block provided that it
overhangs by at most $1/2$.
\uncover<1->{\par What is the center of mass of this three-block system?
The calculation is that we have a two-block-mass system
with its center of mass 
located above $x=2$, and the bottom block has its center of mass above 
$x=1$, and the total mass is~$3$.
The system's mass center is the
the combinations of the centers, weighted by the masses, 
and divided by the total mass.
\begin{equation*}
  \frac{2\cdot 2+1}{3}=\frac{5}{3}
\end{equation*}}
\begin{center}
  \only<1>{\vcenteredhbox{\includegraphics{series001.pdf}}}
  \only<2->{\vcenteredhbox{\includegraphics{series004.pdf}}}
\end{center}
\uncover<2->{So if we put this 
on the table edge then we can make it overhang by $1/3$.

Now the top block sticks out by $1+(1/2)+(1/3)=11/6$,
almost entirely in free space.}
\end{frame}



\begin{frame}
Iterate.
Put the three-block system on top of a fourth block,
overhanging by~$1/3$.
\uncover<1->{For the center of mass of this four-block system,
we have a three-block-mass system
with its center of mass 
located above $x=2$ and a bottom block with its center of mass above 
$x=1$, with the total mass of~$4$.
The system's mass center is
the weighted combination of the mass centers, divided by the total mass.
\begin{equation*}
  \frac{3\cdot 2+1}{4}=\frac{7}{4}
\end{equation*}}
\begin{center}
  \only<1>{\vcenteredhbox{\includegraphics{series002.pdf}}}
  \only<2->{\vcenteredhbox{\includegraphics{series005.pdf}}}
\end{center}
\uncover<2->{So we can overhang off the table's edge by $1/4$.

With that, the top block sticks out by $1+(1/2)+(1/3)+(1/4)=25/12$,
which is past the table edge.
When will this madness end?}
\end{frame}


\begin{frame}
In general, 
we put the $n$-block system on top of a $n+1$-th block.
overhanging by~$1/n$.
The center of mass of the new system
is the weighted combination of the mass centers, divided by the total mass.
\begin{equation*}
  \frac{n\cdot 2+1}{n+1}=\frac{2n+1}{n+1}
  =\frac{2n+2}{n+1}-\frac{1}{n+1}=2-\frac{1}{n+1}
\end{equation*}
With this $n+1$ block system, 
the top block sticks out by $1+(1/2)+(1/3)+(1/4)+(1/n)+(1/(n+1))$.

Therefore, the total sticky-outness is unbounded.
\end{frame}







\end{document}
%
% These lines tells gnu-emacs to typeset with the luatex engine
% which requires Unicode encoding only (utf-8)
% ^c^t^s for toggling synctex. 
% ^-Shift-Click to move from pdf to source, Command-Shift-Click on OSX
%%% Local Variables:
%%% mode: latex
%%% TeX-engine: luatex
%%% TeX-source-correlate-method-active: synctex
%%% coding: utf-8
%%% End:
